import 'package:config_widget/src/const.dart';

class ConfigManager {
  factory ConfigManager() {
    return _instance;
  }

  ConfigManager._internal();

  static ConfigManager _instance = ConfigManager._internal();
  Map<String, Map> _configMap;

  set configMap(Map<String, Map> configMap) {
    _configMap = configMap;
  }

  ConfigType getConfigType(String key) {
    if (_configMap.containsKey(key)) {
      try {
        return ConfigType.values[_configMap[key]['value']];
      } catch (e) {
        return ConfigType.configDefault;
      }
    }
    return ConfigType.configDefault;
  }

  int getConfigValue(String key) {
    if (_configMap.containsKey(key)) {
      try {
        return _configMap[key]['value'];
      } catch (e) {
        return 0;
      }
    }
    return 0;
  }
}
